/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.saas.dto.tenant;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * Restful接口--资源详情--数据传输对象：租户软件服务
 * <p>
 * createdate:  2021-03-03 16:12:36  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "租户软件服务")
public class SaaSTenantSoftwareDetailDto implements Serializable
{
  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  private String id;
  /**
   * 租户<br>
   */
  @ApiModelProperty("租户")
  private String tenantId;
  /**
   * 软件ID<br>
   */
  @ApiModelProperty("软件ID")
  private String softwareId;

  /**
   * 软件名称<br>
   */
  @ApiModelProperty("软件名称")
  private String softwareName;
  /**
   * 应用数据源集群<br>
   */
  @ApiModelProperty("应用数据源集群")
  private String appDsClusterId;
  /**
   * 微服务<br>
   */
  @ApiModelProperty("微服务")
  private String microServiceId;

  private String appName;
  /**
   * 数据源集群<br>
   */
  @ApiModelProperty("数据源集群")
  private String dataSourceClusterId;

  @ApiModelProperty("数据源集群名称 冗余")
  private String dataSourceClusterName;
  /**
   * 开始时间<br>
   */
  @ApiModelProperty("开始时间")
  private Date startTime;
  /**
   * 结束时间<br>
   */
  @ApiModelProperty("结束时间")
  @DateTimeFormat(pattern = "yyyy-MM-dd'T'HH:mm:ss.SSSS'Z'")
  @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
  private Date endTime;
  /**
   * 状态<br>
   */
  @ApiModelProperty("状态")
  private String status;
  /**
   * 是否启用<br>
   */
  @ApiModelProperty("是否启用")
  private Boolean enabled;
  /**
   * 是否已删除<br>
   */
  @ApiModelProperty("是否已删除")
  private Boolean deleted;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  @ApiModelProperty("是否过期")
  private Boolean expired;
  /**
   * 配置标识<br>
   */
  @ApiModelProperty("配置标识")
  private Boolean cfgFlag;
  /**
   * 软件代号<br>
   */
  @ApiModelProperty("软件代号")
  private String softwareCode;
  /**
   * 软件配置<br>
   */
  @ApiModelProperty("软件配置")
  private String softwareCfg;

  public String getSoftwareCode() {
    return softwareCode;
  }

  public void setSoftwareCode(String softwareCode) {
    this.softwareCode = softwareCode;
  }

  public String getSoftwareCfg() {
    return softwareCfg;
  }

  public void setSoftwareCfg(String softwareCfg) {
    this.softwareCfg = softwareCfg;
  }

  public Boolean getCfgFlag() {
    return cfgFlag;
  }

  public void setCfgFlag(Boolean cfgFlag) {
    this.cfgFlag = cfgFlag;
  }

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String getTenantId()
  {
    return tenantId;
  }

  public void setTenantId(String tenantId)
  {
    this.tenantId = tenantId;
  }

  public String getSoftwareId()
  {
    return softwareId;
  }

  public void setSoftwareId(String softwareId)
  {
    this.softwareId = softwareId;
  }

  public String getAppDsClusterId()
  {
    return appDsClusterId;
  }

  public void setAppDsClusterId(String appDsClusterId)
  {
    this.appDsClusterId = appDsClusterId;
  }

  public String getMicroServiceId()
  {
    return microServiceId;
  }

  public void setMicroServiceId(String microServiceId)
  {
    this.microServiceId = microServiceId;
  }

  public String getDataSourceClusterId()
  {
    return dataSourceClusterId;
  }

  public void setDataSourceClusterId(String dataSourceClusterId)
  {
    this.dataSourceClusterId = dataSourceClusterId;
  }

  public Date getStartTime()
  {
    return startTime;
  }

  public void setStartTime(Date startTime)
  {
    this.startTime = startTime;
  }

  public Date getEndTime()
  {
    return endTime;
  }

  public void setEndTime(Date endTime)
  {
    this.endTime = endTime;
  }

  public String getStatus()
  {
    return status;
  }

  public void setStatus(String status)
  {
    this.status = status;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }

  public String getCreatedBy()
  {
    return createdBy;
  }

  public void setCreatedBy(String createdBy)
  {
    this.createdBy = createdBy;
  }

  public Date getCreatedTime()
  {
    return createdTime;
  }

  public void setCreatedTime(Date createdTime)
  {
    this.createdTime = createdTime;
  }

  public String getUpdatedBy()
  {
    return updatedBy;
  }

  public void setUpdatedBy(String updatedBy)
  {
    this.updatedBy = updatedBy;
  }

  public Date getUpdatedTime()
  {
    return updatedTime;
  }

  public void setUpdatedTime(Date updatedTime)
  {
    this.updatedTime = updatedTime;
  }

  public Boolean getDeleted()
  {
    return deleted;
  }

  public void setDeleted(Boolean deleted)
  {
    this.deleted = deleted;
  }

  public String getAppName()
  {
    return appName;
  }

  public void setAppName(String appName)
  {
    this.appName = appName;
  }

  public String getDataSourceClusterName()
  {
    return dataSourceClusterName;
  }

  public void setDataSourceClusterName(String dataSourceClusterName)
  {
    this.dataSourceClusterName = dataSourceClusterName;
  }

  public String getSoftwareName()
  {
    return softwareName;
  }

  public void setSoftwareName(String softwareName)
  {
    this.softwareName = softwareName;
  }

  public Boolean getExpired() {
    return expired;
  }

  public void setExpired(Boolean expired) {
    this.expired = expired;
  }
}